MONGOC_BULK_OPERATION_DELETE_ONE(3)

NAME
mongoc_bulk_operation_delete_one - mongoc_bulk_operation_delete_one()

WARNING: Deprecated since version 0.96.0: This function is deprecated and should not be used in new code.

Please use mongoc_bulk_operation_remove_one() in new code.

SYNOPSIS

void
mongoc_bulk_operation_delete_one (mongoc_bulk_operation_t *bulk,
                                  const bson_t *selector)
  BSON_GNUC_DEPRECATED_FOR (mongoc_bulk_operation_remove_one);

Delete a single document as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   selector: A bson_t.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute().

SEE ALSO:
mongoc_bulk_operation_remove_one_with_opts()

mongoc_bulk_operation_remove_many_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc